#ifndef csplashparticle_h
#define csplashparticle_h

#include "ForwardDeclarations.h"
#include "cVector.h"
#include "cColor.h"
#include "OGLPlatformSpecific.h"
#include "cIntersectionResult.h"
#include "cStaticTriangleMesh.h"
#include "cTriangle.h"
#include "cBoundingBox.h"
#include "cParticleSystem.h"
#include "cParticle.h"
#include <vector>

class cSplashParticle : public cParticle
{
public:
    cSplashParticle(cParticleSystem* ps);
    
    void update(float dt, vector<cTriangle*>& tlist);
    
    void draw();
};


#endif
